## org.springframework.beans.factory
Class UnsatisfiedDependencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.BeanCreationException
                                  org.springframework.beans.factory.UnsatisfiedDependencyException

All Implemented Interfaces:
  Serializable

    public class UnsatisfiedDependencyException

extends BeanCreationException

Exception thrown when a bean depends on other beans or simple properties that were not specified in the bean factory definition, although dependency checking was enabled.

Since:
  03.09.2003
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`UnsatisfiedDependencyException(String resourceDescription, String beanName, int ctorArgIndex, Class ctorArgType, BeansException ex)` Create a new UnsatisfiedDependencyException.
`UnsatisfiedDependencyException(String resourceDescription, String beanName, int ctorArgIndex, Class ctorArgType, String msg)` Create a new UnsatisfiedDependencyException.
`UnsatisfiedDependencyException(String resourceDescription, String beanName, String propertyName, BeansException ex)` Create a new UnsatisfiedDependencyException.
`UnsatisfiedDependencyException(String resourceDescription, String beanName, String propertyName, String msg)` Create a new UnsatisfiedDependencyException.

Method Summary

Methods inherited from class org.springframework.beans.factory.BeanCreationException
`addRelatedCause, contains, getBeanName, getRelatedCauses, getResourceDescription, printStackTrace, printStackTrace, toString`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsatisfiedDependencyException

    public UnsatisfiedDependencyException(String resourceDescription,
                                          String beanName,
                                          String propertyName,
                                          String msg)

  Create a new UnsatisfiedDependencyException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `propertyName` - the name of the bean property that couldn't be satisfied
    `msg` - the detail message

### UnsatisfiedDependencyException

    public UnsatisfiedDependencyException(String resourceDescription,
                                          String beanName,
                                          String propertyName,
                                          BeansException ex)

  Create a new UnsatisfiedDependencyException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `propertyName` - the name of the bean property that couldn't be satisfied
    `ex` - the bean creation exception that indicated the unsatisfied dependency

### UnsatisfiedDependencyException

    public UnsatisfiedDependencyException(String resourceDescription,
                                          String beanName,
                                          int ctorArgIndex,
                                          Class ctorArgType,
                                          String msg)

  Create a new UnsatisfiedDependencyException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `ctorArgIndex` - the index of the constructor argument that couldn't be satisfied
    `ctorArgType` - the type of the constructor argument that couldn't be satisfied
    `msg` - the detail message

### UnsatisfiedDependencyException

    public UnsatisfiedDependencyException(String resourceDescription,
                                          String beanName,
                                          int ctorArgIndex,
                                          Class ctorArgType,
                                          BeansException ex)

  Create a new UnsatisfiedDependencyException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `ctorArgIndex` - the index of the constructor argument that couldn't be satisfied
    `ctorArgType` - the type of the constructor argument that couldn't be satisfied
    `ex` - the bean creation exception that indicated the unsatisfied dependency